unit Main;

interface

uses
  Windows, Classes, Controls, Forms, Dialogs,
  FastShellLink, StdCtrls, ExtCtrls, Buttons;

type
  TForm1 = class(TForm)
    FastShellLink: TFastShellLink;
    GroupBox1: TGroupBox;
    LinkName: TEdit;
    GroupBox2: TGroupBox;
    Folder: TComboBox;
    Panel1: TPanel;
    Subfolder: TEdit;
    Label1: TLabel;
    GroupBox3: TGroupBox;
    GroupBox4: TGroupBox;
    ParamString: TEdit;
    WorkingDir: TEdit;
    GroupBox5: TGroupBox;
    LinkTarget: TEdit;
    BrowseBtn: TSpeedButton;
    InstallBtn: TBitBtn;
    OpenDialog: TOpenDialog;
    procedure InstallBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure BrowseBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject);
begin
  Folder.ItemIndex := 0;
  LinkTarget.Text := Application.ExeName;
end;

procedure TForm1.BrowseBtnClick(Sender: TObject);
begin
  OpenDialog.FileName := LinkTarget.Text;
  if OpenDialog.Execute then
   LinkTarget.Text := OpenDialog.FileName;
end;

procedure TForm1.InstallBtnClick(Sender: TObject);
begin
  FastShellLink.LinkName := LinkName.Text;
  FastShellLink.LinkTarget := LinkTarget.Text;
  FastShellLink.ParamString := ParamString.Text;
  FastShellLink.WorkingDirectory := WorkingDir.Text;

  FastShellLink.CreateIn.Subfolder := Subfolder.Text;
  case Folder.ItemIndex of
    0: FastShellLink.CreateIn.ShellFolder := sfDesktop;
    1: FastShellLink.CreateIn.ShellFolder := sfMyDocuments;
    2: FastShellLink.CreateIn.ShellFolder := sfProgramsMenu;
    3: FastShellLink.CreateIn.ShellFolder := sfStartMenu;
    4: FastShellLink.CreateIn.ShellFolder := sfStartup;
   end;

  FastShellLink.Execute; // Install !
end;


end.
